{ ... }: {
  imports = [ ./dbus ./fonts ./hw ./locale ./network ./nix ./security ./xdg ];

  environment.sessionVariables = rec {
    PATH = [ "$HOME/.local/bin/:$PATH" ];
    XDG_CACHE_HOME = "$HOME/.cache";
    XDG_CONFIG_HOME = "$HOME/.config";
    XDG_DATA_HOME = "$HOME/.local/share";
    XDG_STATE_HOME = "$HOME/.local/state";
    XDG_BIN_HOME = "$HOME/.local/bin";
    XDG_DESKTOP_DIR = "$HOME/desktop";
    XDG_DOCUMENTS_DIR = "$HOME/files";
    XDG_DOWNLOAD_DIR = "$HOME/download";
    XDG_MUSIC_DIR = "$HOME/media/music";
    XDG_PICTURES_DIR = "$HOME/media/photo";
    XDG_PUBLICSHARE_DIR = "$HOME/pub";
    XDG_TEMPLATES_DIR = "$HOME/media/templates";
    XDG_VIDEOS_DIR = "$HOME/media/video";
  };

  environment.etc."xdg/user-dirs.defaults".text = ''
    XDG_CACHE_HOME="$HOME/.cache"
    XDG_CONFIG_HOME="$HOME/.config"
    XDG_DATA_HOME="$HOME/.local/share"
    XDG_STATE_HOME="$HOME/.local/state"
    XDG_BIN_HOME="$HOME/.local/bin"
    XDG_DESKTOP_DIR="$HOME/desktop"
    XDG_DOCUMENTS_DIR="$HOME/files"
    XDG_DOWNLOAD_DIR="$HOME/download"
    XDG_MUSIC_DIR="$HOME/media/music"
    XDG_PICTURES_DIR="$HOME/media/photo"
    XDG_PUBLICSHARE_DIR="$HOME/pub"
    XDG_TEMPLATES_DIR="$HOME/media/templates"
    XDG_VIDEOS_DIR="$HOME/media/video"
  '';
}
